Ticket #7 (closed enhancement: wontfix)

Opened 10 years ago

Last modified 5 years ago

savannah: Show size of all files in directory

Reported by: slavazanko Owned by: zaytsev
Priority: trivial Milestone:
Component: mc-core Version: master
Keywords: Cc: zaytsev
Blocked By: Blocking:
Branch state: no branch Votes for changeset:

Description (last modified by ossi) (diff)

Original: http://savannah.gnu.org/bugs/?11951

Submitted by:NoneSubmitted on:Sun 13 Feb 2005 12:32:30 AM UTC
Category:CoreSeverity:1 - Wish
Status:In ProgressPrivacy:Public
Assigned to:Roland Illig <rillig>Open/Closed:Open
Release:All versionsOperating System:All

Original submission:

I would like propose one very useful patch:
When the cursor is at directory and You press F3,
midnight commander display size of all files in directory.

It could be display in column "size", or at down of the screen.
What do You think about this idea ?
I think its very useful.

Comment 1 by Anonymous at Sun 13 Feb 2005 12:36:29 AM UTC:

PS. I saw it in Dos Navigator (when I use DOS :-P )

Pleas see yourself:
http://www.ritlabs.com/dn/

Comment 2 by Lukas Jelinek <luk> at Mon 14 Feb 2005 09:17:19 AM UTC:

FAR Manager (http://farmanager.com/) uses contains this feature too.

Comment 3 by Felix Miata <mrmazda> at Sat 05 Mar 2005 01:16:17 PM UTC:

FC/2 & FC/W performs this function with Ctrl-Q. I use it all the 
time.

Comment 4 by Coenraad Loubser <tunasashimi> at Tue 19 Apr 2005 10:28:27 PM UTC:

I think it is a very stupid idea since F3 means VIEW and has since 
Norton Commander V1.

It would however be a useful feature... moreso than the tree view.

Comment 5 by Roland Illig <rillig> at Sat 28 Jan 2006 08:56:14 AM UTC:

This feature exists in the current development version. Press 
C-space.

Comment 6 by Leonard den Ottolander <leonardjo> at Mon 27 Feb 2006 10:09:02 PM UTC:

Reopening.

It would be nice if this could be toggled back, and maybe C-space 
shouldn't move down...

Comment 7 by Pawel Misiak <pavelsky> at Tue 16 May 2006 05:59:54 PM UTC:

It works with C-space as expected, move-down is ok, I need it 
working that way. Maybe F3 on some dir shouldn't move down. Besides,
is there any shortcut to recalculate sizes of all subdirs in current
panel? I would be great to have one.

Comment 8 by Roland Eggner <robiol262> at Mon 25 Dec 2006 03:23:40 PM UTC:

For me the most useful solution to this issue would be, if tagging 
of one or more directories would trigger calculation and displaying 
of the size of the trees below them. TC for a well known proprietary
OS provides this feature.

A keybinding to recalculate sizes of ALL directories in current 
panel would be very useful addition to the menue entry we already 
have, I agree to Pawel.

Change History

comment:1 Changed 9 years ago by styx

  • Milestone set to 4.7

comment:2 follow-up: ↓ 6 Changed 9 years ago by iNode

I'm also propose F3 to recalculate size for selected items if any files/directories selected and
focus on directory (so that not break F3 for view file).

Far Manager has the same behaviour, and F3 should not change directory if files/directories selected.

comment:3 Changed 9 years ago by angel_il

  • Milestone changed from 4.7 to 4.7.0-pre1

comment:4 Changed 9 years ago by angel_il

  • Milestone changed from 4.7.0-pre1 to future releases

comment:5 Changed 9 years ago by iNode

  • Owner set to iNode
  • Status changed from new to accepted
  • Component changed from mc-vfs to mc-core
  • severity set to no branch
  • Milestone changed from future releases to 4.7.0-pre2

comment:6 in reply to: ↑ 2 ; follow-up: ↓ 7 Changed 9 years ago by styx

Replying to iNode:

I'm also propose F3 to recalculate size for selected items if any files/directories selected and
focus on directory (so that not break F3 for view file).

Far Manager has the same behaviour, and F3 should not change directory if files/directories selected.

In this we will need to place an option, what should F3 do. We already have such a proposal, but a couple of people were against new behavior. And in the sight of configurable hotkeys: we can add an action, which can be assigned by the user to any key he wish to.

comment:7 in reply to: ↑ 6 Changed 9 years ago by iNode

Replying to styx:

In this we will need to place an option, what should F3 do. We already have such a proposal, but a couple of people were against new behavior. And in the sight of configurable hotkeys: we can add an action, which can be assigned by the user to any key he wish to.

It will not break old behaviour but just extend it (in case of selection).
We can speak about configurable hotkeys after pre2 when it will be ready.

comment:8 Changed 9 years ago by iNode

ok. Final decision from discussion in jabber conference:
F3 save it's behavoiur. New behaviour will be on C-space.
C-space should work in that manner:

  • if there is no selected dirs - work as usual, except ".." - calculate all dir sizes
  • if there is selection - calculate size for it

in the end panel should be resorted.

please review: 99638c035a22eebbf2346facb47d4a08cb213a3f

comment:9 follow-up: ↓ 10 Changed 9 years ago by ossi

hmm, just a random thought: i'd like to see c-space to be used instead of (or alternatively to) m-tab for completion (as m-tab typically conflicts with window switching in x environments, and c-space means complete in most IDEs).
i wonder whether it would be ok to use space without any modifier for the show size thing, but only if the command line is empty - +/-/* already behave that way.

comment:10 in reply to: ↑ 9 Changed 9 years ago by iNode

  • severity changed from no branch to on review

Replying to ossi:

hmm, just a random thought: i'd like to see c-space to be used instead of (or alternatively to) m-tab for completion (as m-tab typically conflicts with window switching in x environments, and c-space means complete in most IDEs).
i wonder whether it would be ok to use space without any modifier for the show size thing, but only if the command line is empty - +/-/* already behave that way.

It's good idea. We also has free M-space, AFAIK.
So we can remap it before it become habitual, or
use M-space for completion.

comment:11 Changed 9 years ago by ossi

m-space is often also taken by the window manager to pop up the window's system menu (in kde, it is alt-f3 by default, but m$ windows uses m-space and so do some others).

comment:12 Changed 9 years ago by iNode

  • severity changed from on review to on rework

comment:13 Changed 9 years ago by iNode

  • severity changed from on rework to on review

additional patch to avoid resort if panel sort type is not size

please, review

comment:14 Changed 9 years ago by iNode

rebased, and patch merged branch

comment:15 Changed 9 years ago by angel_il

branch: 007_show_directory_sizes_shortcut parent: master

comment:16 Changed 9 years ago by angel_il

  • Votes for changeset set to angel_il
  • Version set to master

comment:17 Changed 9 years ago by andrew_b

  • Votes for changeset changed from angel_il to angel_il andrew_b
  • severity changed from on review to approved

comment:18 Changed 9 years ago by iNode

  • Status changed from accepted to testing
  • Votes for changeset changed from angel_il andrew_b to commited-master
  • Resolution set to fixed
  • severity changed from approved to merged

comment:19 Changed 9 years ago by iNode

  • Status changed from testing to closed

comment:20 Changed 8 years ago by zaytsev

  • Status changed from closed to reopened
  • Votes for changeset committed-master deleted
  • severity changed from merged to on review
  • Cc zaytsev added
  • Milestone changed from 4.7.0-pre2 to 4.7.4
  • Resolution fixed deleted

comment:21 Changed 8 years ago by zaytsev

  • Status changed from reopened to accepted
  • Owner changed from iNode to zaytsev

Branch: 7_show_dir_sizes (parent: master)
Changeset: e1120731a9744009560aedb19f5a3961291f0e51, 8cda5a9629b96fc3112091bb5a6736210891534c

Added a small usability enhancement: when the cursor is positioned on a regular file and “Show directory sizes” command is invoked or C-Space is pressed, the sizes of all directories in the current working directory will be computed as if the cursor was positioned on “..”.

This is a very intuitive behavior and it absence actually caused quite a bit of confusion (e.g. see Ubuntu bug LP#580221).

https://bugs.launchpad.net/ubuntu/+source/mc/+bug/580221

Renamed the menu item Show directory sizes to Show directory size(s) to emphasize its new meaning (in comparison with 4.6 branch). Previously this menu item would compute the sizes of all directories regardless of the selection and currently active item. Now by default it computes the size of the currently active directory, unless there's a selected or user is on “..”.

Comments and discussion is welcome.

comment:22 Changed 8 years ago by zaytsev

  • Milestone changed from 4.7.4 to 4.7.5

comment:23 Changed 8 years ago by zaytsev

  • Keywords stable-candidate added

What about reviewing this one? The branch was created two months ago...

comment:24 Changed 8 years ago by andrew_b

  • Votes for changeset set to andrew_b

comment:25 Changed 8 years ago by angel_il

  • Votes for changeset changed from andrew_b to andrew_b angel_il
  • severity changed from on review to approved

comment:26 Changed 8 years ago by zaytsev

See discussion in #2088. Shall we additionally decouple the menu from the shortcut?

comment:27 Changed 8 years ago by andrew_b

  • Votes for changeset andrew_b angel_il deleted
  • severity changed from approved to on rework

comment:28 Changed 8 years ago by zaytsev

  • Status changed from accepted to testing
  • Keywords stable-candidate removed
  • Resolution set to wontfix
  • severity changed from on rework to no branch
  • Milestone 4.7.5 deleted

Ok, these enhancements are going to be implemented in #2088 along with the other changes.

comment:29 Changed 8 years ago by zaytsev

  • Status changed from testing to closed

comment:30 Changed 5 years ago by ossi

  • Description modified (diff)
  • Branch state set to no branch
Note: See TracTickets for help on using tickets.